<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Item_modeln extends CI_Model {
    
    public function __construct() {
        parent::__construct();
        $this->db = $this->load->database('default', TRUE);
        $CI =& get_instance();
        $CI->db =& $this->db;
    }

    public function insert_data($table,$data){
    	$this->db->insert($table,$data);
    }

    public function get_items(){
    	return $this->db->select('*,SUM(item_stock_2.qty_purchase) purchase,SUM(item_stock_2.qty_sale) sale,(SUM(item_stock_2.qty_purchase) - SUM(item_stock_2.qty_sale)) stock')
    					->from('items_2')
    					->join('item_stock_2 as item_stock_2','items_2.item_id = item_stock_2.item_id','left')
    					->where('items_2.status','1')
    					->group_by('items_2.item_id')
    					->get()
    					->result();
    }

    public function get_item_details($id_item){
    	return $this->db->select('*')
    					->from('items_2')
    					->where('item_id',$id_item)
    					->get()
    					->row();
    }

    public function update_data($tablename,$update_data,$where){
        $this->db->where($where);
        $this->db->update($tablename,$update_data);
    }

    public function get_stock($item){
        return $this->db->select('SUM(qty_purchase) purchase,SUM(qty_sale) sale,(SUM(qty_purchase) - SUM(qty_sale)) stock')
                        ->from('item_stock_2')
                        ->where('item_id',$item)
                        ->get()
                        ->row();
    }

    public function item_list(){
        return $this->db->select('*')
                        ->from('items_2')
                        ->get()
                        ->result();
    } 
    
}

?>