<?php
$this->load->view ( $left );
$this->load->view ( $header );
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>Expence Type List</h2>
    </div>
    <div class="col-sm-8">
        <div class="title-action">
            <a href="<?php echo site_url("expence/new_expence_type");?>" class="btn btn-primary">
                <i class="fa fa-plus-square-o"></i>
                <span class="m-l-xs">Add New Type</span>
            </a>
        </div>
    </div>
</div>
<div class="wrapper wrapper-content">
    <div class="row text-center animated fadeInRightBig">
        <table class="table" id="myTable">
        	<thead>
        		<tr>
        			<th>Name</th>
        			<th>Description</th>
                    <th>Added On</th>
                    <th>Status</th>
        			<th>Action</th>
        		</tr>
        	</thead>
            <tbody>
                <?php if (count($expence_acount_list) > 0) {
                    foreach ($expence_acount_list as $key_expence => $value_expence) {?>
                        <tr>
                           <td><?php echo !empty($value_expence->expence_acc_name) ? $value_expence->expence_acc_name : '';?></td>
                           <td><?php echo !empty($value_expence->expence_acc_desc) ? $value_expence->expence_acc_desc : '';?></td>
                           <td><?php echo !empty($value_expence->date_added) ? date('d/m/Y',strtotime(str_replace('-', '/', $value_expence->date_added))) : '';?></td>
                           <td><?php echo !empty($value_expence->status ) ? 'Active' : 'In-Active';?></td>
                           <td><a href="<?php echo site_url('expence/new_expence_type/'.$value_expence->expence_acc_id);?>"><button class="btn btn-info btn-xs"><i class="fa fa-edit"></i></button></a></td>
                        </tr>
                <?php }
                }?>
            </tbody>
        </table>
    </div>
</div>
<?php $this->load->view($footer); ?>
<script type="text/javascript">
	$(document).ready(function(){
        $('#myTable').DataTable();
	});
</script>